globus_memory.h(3)

NAME
globus_memory.h - Memory Pool.

SYNOPSIS

#include 'globus_types.h'
#include 'globus_module.h'
#include 'globus_thread.h'

  Functions

globus_bool_t globus_memory_init (globus_memory_t *mem_info, int node_size, int node_count)
Initialize memory pool.
void * globus_memory_pop_node (globus_memory_t *mem_info)
Retrieve a memory item from a pool.
globus_bool_t globus_memory_push_node (globus_memory_t *mem_info, void *buf)
Return a memory item to the pool.
globus_bool_t globus_memory_destroy (globus_memory_t *mem_info)
Destroy a memory pool.

Detailed Description

Memory Pool.

Author

Generated automatically by Doxygen for globus_common from the source code.